/// <reference path="../../../adonis-typings/index.d.ts" />
import { EncryptionContract } from '@ioc:Adonis/Core/Encryption';
import { CookieClientContract } from '@ioc:Adonis/Core/CookieClient';
/**
 * Cookie client exposes the API to parse/set AdonisJS
 * cookies as a client.
 */
export declare class CookieClient implements CookieClientContract {
    private encryption;
    constructor(encryption: EncryptionContract);
    /**
     * Encrypt a key value pair to be sent in the cookie header
     */
    encrypt(key: string, value: any): string | null;
    /**
     * Sign a key value pair to be sent in the cookie header
     */
    sign(key: string, value: any): string | null;
    /**
     * Encode a key value pair to be sent in the cookie header
     */
    encode(_: string, value: any): string | null;
    /**
     * Unsign a signed cookie value
     */
    unsign(key: string, value: string): any;
    /**
     * Decrypt an encrypted cookie value
     */
    decrypt(key: string, value: string): any;
    /**
     * Decode an encoded cookie value
     */
    decode(_: string, value: string): any;
    /**
     * Parses the set-cookie header and returns an
     * array of parsed cookies
     */
    parse(setCookieHeader: string): any;
}
